Bug 486575 - Ignores 'target dev=...' attribute in network devices
Ignores 'target dev=...' attribute in network devices
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 07:28 EST by Enrico Scholz
Modified: 2009-12-02 08:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 08:00:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2009-02-20 07:28:35 EST
Description of problem:

libvirt seems to ignore the name given in <target dev='...'> statements. E.g. when following documentation and adding a

    <interface type='bridge'>
      <mac address='54:52:00:0f:f8:64'/>
      <target dev='vnet101'/>
      <source bridge='eth0'/>
      <model type='virtio'/>
    </interface>

network device to a qemu-kvm domain, the resulting interface is 'vnet0' (or the first available one), but not 'vnet101' as requested.

Predictable interface names are essential as they are used in firewall rules.


Version-Release number of selected component (if applicable):

libvirt-0.5.1-2.fc10.x86_64
Comment 1 Mark McLoughlin 2009-02-20 12:49:25 EST
This is intentional, see:

  http://www.redhat.com/archives/libvir-list/2007-December/msg00040.html

  > Hang about though, don't we sometimes want to explicitly set the name of 
  > some interfaces to vnetXXX?

  No, if you want to manually set interface names, you have to use something
  other than a 'vnet' prefix. 'vnet' is the prefix for auto-generated names
  in same way as 'vif' is the prefix for Xen auto-generated names.
Comment 2 Daniel Berrange 2009-02-20 12:59:28 EST
As Mark says this is intentionale, but we should probably update the domain XML documentation to mention the reserved prefixes.
Comment 3 Bug Zapper 2009-11-18 06:10:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Cole Robinson 2009-12-02 08:00:37 EST
As per comment #2, there are now explicit docs for this upstream:

http://libvirt.org/formatdomain.html#elementsNICSTargetOverride

So closing this bug as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.